View Issue Details

IDProjectCategoryView StatusLast Update
0003399unrealircdpublic2012-05-07 17:14
ReporterfbiAssigned Tosyzop 
PrioritynormalSeveritytweakReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSFreeBSDOS Version6.0
Product Version3.3-alpha0 
Target VersionFixed in Version3.2.10-rc1 
Summary0003399: numeric 307 description
Description"is a registered nick" must be changed to "has identified for this nick" because nick may not be identified at the moment, but registered with services, it can confuse some people.
TagsNo tags attached.
3rd party modules

Activities

Stealth

2007-06-18 12:54

reporter   ~0014386

> "is a registered nick" must be changed to "has identified for this nick" because nick may not be identified at the moment, but registered with services, it can confuse some people.

It's fine the way it is... If your services are setting +r to a user that has not identified, they are what needs fixing.

fbi

2007-06-18 13:50

reporter   ~0014387

not setting mode +r, but registered anyway, because just not identified.
description is not correct.
for example if user is identified nick, services set mode +r and in /whois must be
"has identified for this nick"

Shining Phoenix

2007-06-18 19:14

reporter   ~0014388

If someone is using a registered nick but hasn't identified to it, they don't get +r, so /whois doesn't mention if the nick is registered.
If someone then has +r, "has identified for this nick" is more accurate than "is a registered nick".

tabrisnet

2007-06-19 19:20

reporter   ~0014391

AOL!!!!

now that I got that out of my system, I agree that "has identified" is more useful than "is registered" esp as you could be using the nick, it is reg'd, but you're not id'd.

Bock

2007-06-20 15:50

reporter   ~0014394

+1 for topicstater. And so easy to fix :D

stskeeps

2007-06-21 14:14

reporter   ~0014396

Fixed in .2444

syzop

2011-07-19 18:07

administrator   ~0016717

I don't know.. it does makes make sense to change this, actually.

What do you think binki?

ohnobinki

2011-07-20 23:52

reporter   ~0016728

Yeah, I think that the current description isn't that very clear. I suggest "is identified for this nick" or even just "is identified to services for this nick". I think that the "is identified" terminology would be understood by everybody today.

I don't get where "has" comes in. Either the user is identified to services right now, meaning he ran /NS IDENTIFY at some point, or the user is not identified.

nenolod

2012-03-06 18:56

reporter   ~0016942

This should probably be changed to "is identified to services for this nick" -- especially given the fact that we now have accountnames via ESVID.

nenolod

2012-03-25 21:37

reporter  

unreal-3399.patch (1,519 bytes)

syzop

2012-05-07 17:14

administrator   ~0016995

- Changed numeric 307 (RPL_WHOISREGNICK) to 'is identified for this nick',
  reported by fbi (0003399).

http://hg.unrealircd.com/hg/unreal/rev/99377f34c7e0

I noticed other ircds use the 'has' form, but I trust binki's English / logic ;)

Issue History

Date Modified Username Field Change
2007-06-18 10:21 fbi New Issue
2007-06-18 12:54 Stealth Note Added: 0014386
2007-06-18 13:50 fbi Note Added: 0014387
2007-06-18 19:14 Shining Phoenix Note Added: 0014388
2007-06-19 19:20 tabrisnet Note Added: 0014391
2007-06-20 15:50 Bock Note Added: 0014394
2007-06-21 14:14 stskeeps Status new => resolved
2007-06-21 14:14 stskeeps Fixed in Version => 3.3-alpha0
2007-06-21 14:14 stskeeps Resolution open => fixed
2007-06-21 14:14 stskeeps Assigned To => stskeeps
2007-06-21 14:14 stskeeps Note Added: 0014396
2011-07-19 18:07 syzop Note Added: 0016717
2011-07-19 18:07 syzop Assigned To stskeeps =>
2011-07-19 18:07 syzop Status resolved => feedback
2011-07-20 23:52 ohnobinki Note Added: 0016728
2011-07-20 23:52 ohnobinki Status feedback => confirmed
2012-03-06 18:56 nenolod Note Added: 0016942
2012-03-25 21:37 nenolod File Added: unreal-3399.patch
2012-03-25 21:37 nenolod Status confirmed => has patch
2012-05-07 17:14 syzop Note Added: 0016995
2012-05-07 17:14 syzop Status has patch => resolved
2012-05-07 17:14 syzop Fixed in Version 3.3-alpha0 => 3.2.10-rc1
2012-05-07 17:14 syzop Assigned To => syzop